package com.mcwl.web.controller.rabbitmq.consumer;

import com.mcwl.common.constant.QueueConstants;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

/**
 * 手机号登录短信验证码消费者
 * @author DaiZibo
 * @date 2024/12/30
 * @apiNote
 */

@Slf4j
@Component
public class CodeConsumer {

    @RabbitListener(queues = QueueConstants.CODE_QUEUE)
    public void code(String msg) {

        log.info("消费者获取到的数据:{}", msg);
    }
}
