package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 模型评论点赞
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("model_comment_like")
public class ModelCommentLike extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 模型评论id
     */
    private Long modelCommentId;


}
