package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 图片点赞表
 */

@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Data
public class ModelImageLike extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 图片id
     */
    private Long modelImageId;

}
