package com.mcwl.resource.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class ModelImageCommentRes {
    /**
     * 图片id
     */
    @NotNull(message = "图片id不能为空")
    private Long modelImageId;

    /**
     * 评论内容
     */
    @NotBlank(message = "评论内容不能为空")
    private String content;

    /**
     * 父评论id
     */
    private Long parentId;

}
