package com.mcwl.resource.domain.request;

import com.mcwl.resource.domain.WorkFlow;
import com.mcwl.resource.domain.WorkFlowVersion;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 工作流入参 工作流+版本
 * @author DaiZibo
 * @date 2025/1/9
 * @apiNote
 */

@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
public class RequestWorkFlow {

 private WorkFlow workFlow;

 private List<WorkFlowVersion> workFlowVersionList;

}
