package com.mcwl.resource.domain.vo;

import lombok.Data;

@Data
public class ModelImageVo {
    /**
     * 图片ID
     */
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 用户头像
     */
    private String userAvatar;
    /**
     * 图片地址（最多8张，切割）
     */
    private String imagePaths;
    /**
     * 是否添加水印
     */
    private Integer hasWatermark;
    /**
     * 是否会员下载
     */
    private Integer isMemberDownload;
    /**
     * 是否不可下载
     */
    private Integer isNotDownloadable;
    /**
     * 是否隐藏生成信息
     */
    private Integer hideGenInfo;
    /**
     * 图片标题（最多30字）
     */
    private String title;
    /**
     * 图片标签（多个，切割）
     */
    private String tags;
    /**
     * 描述信息（最多500）
     */
    private String description;
    /**
     * 在线生成数
     */
    private Integer onlineGenNum;
    /**
     * 下载数
     */
    private Integer downloadNum;
    /**
     * 返图数
     */
    private Integer returnNum;
    /**
     * 点赞数
     */
    private Integer likeNum;



}
