package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.resource.domain.ModelProduct;
import com.mcwl.resource.domain.vo.MallProductVo;

/**
 * @author DaiZibo
 * @date 2025/1/2
 * @apiNote
 */

public interface MallProductLikeService {
    Page<ModelProduct> selectByUserLike(MallProductVo mallProductVo);

    AjaxResult addLike(Long productId);

    AjaxResult deleteLike(Long productId);

    Boolean selectLike(Long productId);
}
