package com.mcwl.system.domain.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 通知枚举
 */
@Getter
@AllArgsConstructor
public enum AdviceEnum {

    /**
     * 新消息提醒
     */
    NEW_MESSAGE_REMIND("newMessageRemind", "新消息提醒"),

    /**
     * 系统公告
     */
    SYSTEM_NOTICE("systemNotice", "系统公告"),

    /**
     * 邮件提醒
     */
    EMAIL_REMIND("emailRemind", "邮件提醒"),

    /**
     * 短信提醒
     */
    SMS_REMIND("smsRemind", "短信提醒"),

    /**
     * 推送提醒
     */
    PUSH_REMIND("pushRemind", "推送提醒"),

    /**
     * 点赞提醒
     */
    LIKE_REMIND("likeRemind", "点赞提醒"),
    /**
     * 评论提醒
     */
    COMMENT_REMIND("commentRemind", "评论提醒"),
    /**
     * 私信提醒
     */
    PRIVATE_MESSAGE_REMIND("privateMessageRemind", "私信提醒");

    private final String name;

    @EnumValue
    private final String value;


}
