package com.mcwl.resource.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * 图片分页请求对象
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ModelImagePageRes extends PageDomain {
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;


}
